package com.tencent.mm.plugin.webview.ui.tools.game;

import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.plugin.webview.ui.tools.WebViewUI;
import com.tencent.mm.pluginsdk.ui.applet.q.a;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.ytcommon.BuildConfig;

public class GameChattingRoomWebViewUI extends WebViewUI {
    private String jumpUrl = BuildConfig.FLAVOR;
    private int uCW = 4;
    private int uCX = 5;
    final a uCY = new 1(this);
    final a uCZ = new 2(this);

    public void onWindowFocusChanged(boolean z) {
        super.onWindowFocusChanged(z);
        AppMethodBeat.at(this, z);
    }

    public GameChattingRoomWebViewUI() {
        AppMethodBeat.i(8645);
        AppMethodBeat.o(8645);
    }

    public final boolean afM(String str) {
        return true;
    }

    public final void afL(String str) {
        AppMethodBeat.i(8646);
        ab.i("MicroMsg.GameChattingRoomWebViewUI", "url = %s", new Object[]{str});
        this.jumpUrl = str;
        String stringExtra = getIntent().getStringExtra("action");
        if (stringExtra != null) {
            String string;
            if (getIntent().getStringExtra("app_name") == null) {
                string = getString(2131296530);
            } else {
                string = getString(2131298418, new Object[]{getIntent().getStringExtra("app_name")});
            }
            String string2 = getString(2131298425);
            if (stringExtra.equals("action_create")) {
                com.tencent.mm.plugin.bizui.a.a.a(this.mController, getString(2131298803), string, string2, this.uCY, this.uCZ);
                AppMethodBeat.o(8646);
                return;
            } else if (stringExtra.equals("action_join")) {
                com.tencent.mm.plugin.bizui.a.a.a(this.mController, getString(2131300858), string, string2, this.uCY, this.uCZ);
            }
        }
        AppMethodBeat.o(8646);
    }
}
